
Katello - Bug #6815

I can delete a environment even if it has associations

07/29/2014 07:58 AM - David Davis

Status: Rejected   

Priority: High   

Assignee: Partha Aji   

Category: Orchestration   

Target version: Katello Recycle Bin   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1125398 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/456
Description

Related issues:

Related to Katello - Refactor #6187: Dynflowize environment delete Closed 06/12/2014

Associated revisions

Revision c7bfc159 - 08/15/2014 10:27 AM - Partha Aji

Fixes #6815,#6187/bz1125398,1125358 - Environment Destroy Dynflow

This commit adds code to orchestrate lifecycle env destroy via dynflow.

In addition to that it adds code to prevent environment deletion if any

of the lifecycle env associations like content hosts and activation keys

Revision ab0d937c - 08/15/2014 10:50 AM - Partha Aji

Merge pull request #4563 from parthaa/env-delete

Fixes #6815,6187/bz1125398,1125358 - Environment Destroy Dynflow

History

#1 - 07/29/2014 08:04 AM - David Davis

- Related to Refactor #6187: Dynflowize environment delete added

#2 - 07/29/2014 08:05 AM - David Davis

- Priority changed from Normal to High

- Target version set to 54

#3 - 07/31/2014 02:13 PM - Eric Helms

- Bugzilla link set to 1125398

#4 - 08/04/2014 10:59 PM - Eric Helms

- Difficulty set to medium

- Triaged changed from No to Yes

#5 - 08/11/2014 03:49 PM - Partha Aji

- Assignee changed from David Davis to Partha Aji

#6 - 08/11/2014 03:54 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4563 added
- Pull request deleted ()

#7 - 08/14/2014 07:41 AM - David Davis

- Status changed from Ready For Testing to Rejected

We're dynflowizing environment delete so this is no longer necessary.

#8 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13

#9 - 03/21/2015 11:05 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#10 - 06/22/2016 02:20 PM - Justin Sherrill

- translation missing: en.field_release set to 166
